## org.codehaus.groovy.control.io
Class URLReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.URLReaderSource

All Implemented Interfaces:
  HasCleanup, ReaderSource

    public class URLReaderSource

extends AbstractReaderSource

A ReaderSource for source files hosted at a URL.

Version:
  $Id: URLReaderSource.java 6778 2007-07-02 10:40:33Z glaforge $
Author:
  Chris Poirier

Field Summary

Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`configuration`

Constructor Summary
`URLReaderSource(URL url, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource
`canReopenSource, cleanup, getLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLReaderSource

    public URLReaderSource(URL url,
                           CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.

  Parameters:
    `url` - url pointing to script source
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()
                     throws IOException

  Returns a new Reader on the underlying source object.

  Returns:
    the reader to the resource
  Throws:
    `IOException` - if there was an error opening for stream

Copyright © 2003-2009 The Codehaus. All rights reserved.